Bug 443599 - Fedora 9 Beta - KDE 4 Desktop settings do not persist
Fedora 9 Beta - KDE 4 Desktop settings do not persist
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
9
i386 Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-22 10:01 EDT by Grant Shipley
Modified: 2008-07-28 16:32 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-28 16:32:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Grant Shipley 2008-04-22 10:01:00 EDT
Description of problem:
Fedora 9 Beta running KDE 4.  When I select to align desktop icons vertically it
does not persist across sessions. (logout and back in and icons are no longer
aligned.

Version-Release number of selected component (if applicable):
kdelibs-common-4.0.3-6.fc9.i386
kdemultimedia-4.0.3-3.fc9.i386
kdeedu-libs-4.0.3-3.fc9.i386
kdeartwork-4.0.3-3.fc9.i386
kdenetwork-libs-4.0.3-5.fc9.i386
kdenetwork-4.0.3-5.fc9.i386
kdesdk-libs-4.0.3-5.fc9.i386
kdeedu-4.0.3-3.fc9.i386
kdevelop-3.5.1-4.fc9.i386
kde-filesystem-4-14.fc9.noarch
kdepimlibs-4.0.3-3.fc9.i386
kdegames-libs-4.0.3-3.fc9.i386
kdegraphics-libs-4.0.3-3.fc9.i386
kdelibs3-devel-3.5.9-8.fc9.i386
kdepim-3.5.9-9.fc9.i386
kdebase-workspace-libs-4.0.3-16.fc9.i386
lockdev-1.0.1-12.fc9.1.i386
kde-settings-4.0-21.fc9.noarch
kdelibs-devel-4.0.3-6.fc9.i386
kdesdk-utils-4.0.3-5.fc9.i386
kde-settings-kdm-4.0-21.fc9.noarch
kdesdk-4.0.3-5.fc9.i386
kdevelop-libs-3.5.1-4.fc9.i386
kde-settings-pulseaudio-4.0-21.fc9.noarch
kdebase-runtime-4.0.3-9.fc9.i386
kdebase3-pim-ioslaves-3.5.9-10.fc9.i386
kdepim-libs-3.5.9-9.fc9.i386
kdeutils-4.0.3-4.fc9.i386
kdelibs-4.0.3-6.fc9.i386
kdebase-libs-4.0.3-9.fc9.i386
kdepimlibs-devel-4.0.3-3.fc9.i386
kdebase-workspace-4.0.3-16.fc9.i386
kdemultimedia-devel-4.0.3-3.fc9.i386
kdelibs3-3.5.9-8.fc9.i386
kdebase-4.0.3-9.fc9.i386
kdegames-4.0.3-3.fc9.i386
kdemultimedia-libs-4.0.3-3.fc9.i386
kdegraphics-4.0.3-3.fc9.i386
kdebase-workspace-devel-4.0.3-16.fc9.i386
lockdev-devel-1.0.1-12.fc9.1.i386
kdeaccessibility-4.0.3-3.fc9.i386

How reproducible:
Always

Steps to Reproduce:
1. Login to KDE
2. Right click on desktop and select "Align Vertically"
3. Notice icons are now aligned
4. Log out
5. Login 
6. Notice icons reverted back to original organized state.
  
Actual results:
Icons no longer aligned vertically.

Expected results:
Icons should still be aligned.

Additional info:
I have tried removing the .kde directory thinking a weird permission or
directory problem could be causing the problem.  After removing the .kde
directory, the same problem exists.
Comment 1 Grant Shipley 2008-04-22 10:27:46 EDT
As a follow up, I notice none of the setting I apply to KDE are persisting
across sessions -- including changing the application launcher to classic style etc.
Comment 2 Steven M. Parrish 2008-04-22 13:31:36 EDT
Just confirmed this on my rawhide box.  Did check upstream at bugs.kde.org and
did not find a matching bug.  Anyone got a non-fedora kde 4 box to try this on.
Comment 3 Grant Shipley 2008-04-23 09:47:26 EDT
Updated to the latest kdebase-workspace-4.0.3-17.fc9.i386 available this morning
and it fixed the problem.

Comment 4 Kevin Kofler 2008-04-23 09:50:18 EDT
I don't see how the one change between -16 and -17 would be in any way relevant 
to this bug.
Comment 5 Kevin Kofler 2008-04-23 09:55:24 EDT
I don't think we can close this yet. There was no change which could have fixed 
this bug, so I think this simply means that the bug isn't 100% reproducible, 
not that it is fixed.
Comment 6 Bug Zapper 2008-05-14 05:56:42 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Joe Bayes 2008-05-28 23:27:36 EDT
Possibly related -- when I go to the "keyboard shortcuts" control panel,
double-click on the "alt-tab" next to "walk through windows", and click the
"custom" radio button (thereby freeing up alt-tab), it works as expected --
alt-tab is no longer intercepted by the WM. But if I log out and log back in
again, the setting resets back to the way it was before. I have consistently
reproduced this maybe a dozen times. 

However, other settings that I changed, such as window decorations, persist
between sessions. 

kdebase-4.0.4-2.fc9.x86_64

Happy to provide more info upon request.
Comment 8 Steven M. Parrish 2008-06-23 16:41:11 EDT
Is this still an issue with KDE 4.0.5?
Comment 9 Joe Bayes 2008-07-17 15:41:33 EDT
The OP's problem is not manifesting for me with kdebase-4.0.5-5.fc9.x86_64. But
I never reproduced it under 4.0.3 either. 

The alt-tab problem that I mentioned in #7, however, is. But perhaps I should
open another bug for that; I thought they might be related, but maybe not.
Comment 10 Steven M. Parrish 2008-07-28 16:32:38 EDT
KDE 4.1 release is imminent.  Upon release please check if this is still an
issue and if so feel free to reopen this bug. 

Note You need to log in before you can comment on or make changes to this bug.